#server:
#  port: 8087

spring:
   profiles:
      active: dev
   main:
      web-application-type: none
   #配置spring的缓存策略
   cache:
      #caffeine/redis，使用redis需要开启redis的配置
      type: caffeine
      #缓存名称
      cache-names: userProfileCache
      caffeine:
         spec: initialCapacity=100,maximumSize=1000,expireAfterWrite=7d

logback:
   filepath: target/logs

#mybatis-plus设置
mybatis-plus:
   configuration:
      map-underscore-to-camel-case: true
   mapper-locations: classpath*:mapper/*.xml
   type-aliases-package: com.platomix.userprofile.model
   #type-enums-package: com.platomix.enums
   global-config:
      # 关闭MP3.0自带的banner
      banner: false